## goimapnotify-2.5.3-1.src.tar.gz

=== Makefile ===
##
# goimapnotify
#
# @file
# @version 0.1

# Definir las variables para la información de Git
GIT_COMMIT := $(shell git rev-parse HEAD)
GIT_TAG := $(shell git describe --tags)
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD)

# Definir las flags del linker
LDFLAGS := -X main.commit=$(GIT_COMMIT) -X main.gittag=$(GIT_TAG) -X main.branch=$(GIT_BRANCH)

build:
	go build -ldflags "$(LDFLAGS)" -gcflags  '-N -l'

changelog:
	git-chglog -o CHANGELOG.md 2.3.14..

# end

=== PKGBUILD ===
# Maintainer: Alexander Epaneshnikov <alex19ep@archlinux.org>
# Contributor: Maxim Baz <archlinux at maximbaz dot com>
# Contributor: Jorge Araya Navarro <jorge@esavara.cr>

pkgname=goimapnotify
pkgver=2.5.3
pkgrel=1
pkgdesc="Execute scripts on IMAP mailbox changes (new/deleted/updated messages) using IDLE, golang version."
url="https://gitlab.com/shackra/goimapnotify"
license=('GPL3')
arch=('x86_64')
depends=('glibc')
makedepends=('git' 'go')
source=("${pkgname}-${pkgver}.tar.gz::${url}/-/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz")
b2sums=('38b74d445813973c962c18dd88468d73a9b8d5e4b6a8d7ea1095ca33f9a6b76fe9b71e82b5b8eb3ac7702c83985e0cb5009d3918b3c48224e08ed602f58a757c')
options=(!lto)

build() {
    cd "${pkgname}-${pkgver}"

    export CGO_CPPFLAGS="${CPPFLAGS}"
    export CGO_CFLAGS="${CFLAGS}"
    export CGO_CXXFLAGS="${CXXFLAGS}"
    export CGO_LDFLAGS="${LDFLAGS}"
    export GOFLAGS="-buildmode=pie -trimpath -ldflags=-linkmode=external -mod=readonly -modcacherw"
    go build
}

check() {
    cd "${pkgname}-${pkgver}"

    go test ./...
}

package() {
    cd "${pkgname}-${pkgver}"

    install -Dm755 -t "${pkgdir}/usr/bin/" "${pkgname}"
    install -Dm644 -t "${pkgdir}/usr/lib/systemd/user/" goimapnotify@.service
}
